<?php
/**
 * The template for displaying Archive pages.
 *
 * @package lino
 * @since lino 1.0
 */

get_header(); ?>

	<div id="primary" class="content-area column full">

		<?php if (is_archive()) : ?>
			<header class="page-header">
				<h3 class="page-title">
					<?php
						if ( is_category() ) :
							single_cat_title();

						elseif ( is_tag() ) :
							single_tag_title();

						elseif ( is_author() ) :
							printf( __( 'Author: %s', 'lino' ), '<span class="vcard">' . get_the_author() . '</span>' );

						elseif ( is_day() ) :
							printf( __( 'Day: %s', 'lino' ), '<span>' . get_the_date() . '</span>' );

						elseif ( is_month() ) :
							printf( __( 'Month: %s', 'lino' ), '<span>' . get_the_date( _x( 'F Y', 'monthly archives date format', 'lino' ) ) . '</span>' );

						elseif ( is_year() ) :
							printf( __( 'Year: %s', 'lino' ), '<span>' . get_the_date( _x( 'Y', 'yearly archives date format', 'lino' ) ) . '</span>' );

						elseif ( is_tax( 'post_format', 'post-format-aside' ) ) :
							_e( 'Asides', 'lino' );

						elseif ( is_tax( 'post_format', 'post-format-gallery' ) ) :
							_e( 'Galleries', 'lino');

						elseif ( is_tax( 'post_format', 'post-format-image' ) ) :
							_e( 'Images', 'lino');

						elseif ( is_tax( 'post_format', 'post-format-video' ) ) :
							_e( 'Videos', 'lino' );

						elseif ( is_tax( 'post_format', 'post-format-quote' ) ) :
							_e( 'Quotes', 'lino' );

						elseif ( is_tax( 'post_format', 'post-format-link' ) ) :
							_e( 'Links', 'lino' );

						elseif ( is_tax( 'post_format', 'post-format-status' ) ) :
							_e( 'Statuses', 'lino' );

						elseif ( is_tax( 'post_format', 'post-format-audio' ) ) :
							_e( 'Audios', 'lino' );

						elseif ( is_tax( 'post_format', 'post-format-chat' ) ) :
							_e( 'Chats', 'lino' );

						elseif ( is_post_type_archive( 'jetpack-portfolio' ) ) :
	                        _e( 'Projects', 'lino' );
	
	                    elseif ( is_tax( 'jetpack-portfolio-type' ) || is_tax( 'jetpack-portfolio-tag' ) ) :
	                        single_term_title();
	
	                    else :
                            _e( 'Archives', 'lino' );

						endif;
					?>
				</h3>
				<?php
					$term_description = term_description();
					if ( ! empty( $term_description ) ) :
						printf( '<div class="taxonomy-description">%s</div>', $term_description );
					endif;
				?>
			</header><!-- .page-header -->
		<?php endif; ?>

		<main id="main" class="site-main grid-posts" role="main">

			<?php if ( have_posts() ) : ?>

				<?php /* Start the Loop */ ?>
				<?php while ( have_posts() ) : the_post(); ?>

				<article id="post-<?php the_ID(); ?>" <?php post_class('grid-wrap third'); ?>>

					<?php if ( has_post_thumbnail() && ! post_password_required() && ! is_attachment() ) : ?>
					
						<?php the_post_thumbnail('grid-thumb'); ?>
						
						<?php else : ?>
						
						<img src="<?php bloginfo('template_directory'); ?>/images/default-image.jpg" alt="<?php the_title(); ?>" />
					
					<?php endif; ?>

					<?php the_title( sprintf( '<a href="%s" rel="bookmark"><h1>', esc_url( get_permalink() ) ), '</h1></a>' ); ?>

				</article><!-- #post-## -->

			<?php endwhile; /* End of the Loop */ ?>
		
				<?php lino_paging_nav(); ?>

				<?php else : ?>

					<?php get_template_part( 'content', 'none' ); ?>

			<?php endif; ?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_footer(); ?>
